diff --git a/doc/yabai.1 b/doc/yabai.1
index 23f9ef8..3130a3e 100644
--- a/doc/yabai.1
+++ b/doc/yabai.1
@@ -1,7 +1,7 @@
 '\" t
 .\"     Title: yabai
 .\"    Author: [see the "AUTHOR(S)" section]
-.\" Generator: Asciidoctor 2.0.6
+.\" Generator: Asciidoctor 2.0.7
 .\"      Date: 2019-09-29
 .\"    Manual: Yabai Manual
 .\"    Source: Yabai
diff --git a/src/window.c b/src/window.c
index dc6cef8..af1b9de 100644
--- a/src/window.c
+++ b/src/window.c
@@ -203,7 +203,12 @@ char *window_title(struct window *window)
     char *title = NULL;
     CFTypeRef value = NULL;
 
+#if 0
     SLSCopyWindowProperty(g_connection, window->id, CFSTR("kCGSWindowTitle"), &value);
+#else
+    AXUIElementCopyAttributeValue(window->ref, kAXTitleAttribute, &value);
+#endif
+
     if (value) {
         title = cfstring_copy(value);
         CFRelease(value);
